Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 361943

Summary: media-video/lives-1.4.2 fails to build with linux-headers-2.6.38
Product: Gentoo Linux Reporter: Jouni Rinne <l33tmmx>
Component: Current packagesAssignee: Luca Barbato <lu_zero>
Status: RESOLVED FIXED    
Severity: normal CC: ankh_symbool, ashl1future, mattmcadoo, media-video, neonkowy, rose, vivo75
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 359595    
Attachments: Complete build.log
emerge --info
ebuild that uses media-libs/libv4l for v4lv1 compatibility.
patch lives-1.4.2 to use media-libs/libv4l for v4lv1 compatibility
"Compiles-for-Me" 1.4.4 ebuild
lives-1.4.4.ebuild

Description Jouni Rinne 2011-04-04 18:12:00 UTC
Created attachment 268489 [details]
Complete build.log

Again, one more failure with linux-headers-2.6.38:

libtool: compile:  x86_64-pc-linux-gnu-gcc -DPACKAGE_NAME=\"LiVES\" -DPACKAGE_TARNAME=\"lives\" -DPACKAGE_VERSION=\"1.4.2\" "-DPACKAGE_STRING=\"LiVES 1.4.2\"" "-DPACKAGE_BUGREPORT=\"http://www.sourceforge.net/tracker/?group_id=64341&atid=507139\"" -DPACKAGE_URL=\"\" -DPACKAGE=\"lives\" -DVERSION=\"1.4.2\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -D__EXTENSIONS__=1 -D_ALL_SOURCE=1 -D_GNU_SOURCE=1 -D_POSIX_PTHREAD_SEMANTICS=1 -D_TANDEM_SOURCE=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -DSTDC_HEADERS=1 -DGETTEXT_PACKAGE=\"lives\" -DLOCALEDIR=\"/usr/share/locale\" -DPREFIX=\"/usr\" -DLiVES_VERSION=\"1.4.2\" -DHAVE_VISIBILITY=1 -DHAVE_STDINT_H_WITH_UINTMAX=1 -DHAVE_ALLOCA_H=1 -DHAVE_ALLOCA=1 -DHAVE_STDLIB_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_PARAM_H=1 -DHAVE_GETPAGESIZE=1 -DHAVE_MMAP=1 -DINTDIV0_RAISES_SIGFPE=1 -DHAVE_INTTYPES_H_WITH_UINTMAX=1 -DHAVE_UNSIGNED_LONG_LONG_INT=1 -DHAVE_UINTMAX_T=1 -DHAVE_INTTYPES_H=1 -DUSE_POSIX_THREADS=1 -DUSE_POSIX_THREADS_WEAK=1 -DHAVE_PTHREAD_RWLOCK=1 -DHAVE_PTHREAD_MUTEX_RECURSIVE=1 -DHAVE_BUILTIN_EXPECT=1 -DHAVE_ARGZ_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_LIMITS_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_PARAM_H=1 -DHAVE_GETCWD=1 -DHAVE_GETEGID=1 -DHAVE_GETEUID=1 -DHAVE_GETGID=1 -DHAVE_GETUID=1 -DHAVE_MEMPCPY=1 -DHAVE_MUNMAP=1 -DHAVE_STPCPY=1 -DHAVE_STRCASECMP=1 -DHAVE_STRDUP=1 -DHAVE_STRTOUL=1 -DHAVE_TSEARCH=1 -DHAVE_ARGZ_COUNT=1 -DHAVE_ARGZ_STRINGIFY=1 -DHAVE_ARGZ_NEXT=1 -DHAVE___FSETLOCKING=1 -DHAVE_DECL_FEOF_UNLOCKED=1 -DHAVE_DECL_FGETS_UNLOCKED=1 -DHAVE_ICONV=1 -DICONV_CONST= -DHAVE_NL_LOCALE_NAME=1 -DHAVE_LONG_LONG_INT=1 -DHAVE_WCHAR_T=1 -DHAVE_WINT_T=1 -DHAVE_INTMAX_T=1 -DHAVE_POSIX_PRINTF=1 -DHAVE_STDINT_H=1 -DHAVE_STDINT_H=1 -DHAVE_STDDEF_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_ASPRINTF=1 -DHAVE_FWPRINTF=1 -DHAVE_PUTENV=1 -DHAVE_SETENV=1 -DHAVE_SETLOCALE=1 -DHAVE_SNPRINTF=1 -DHAVE_WCSLEN=1 -DHAVE_DECL__SNPRINTF=0 -DHAVE_DECL__SNWPRINTF=0 -DHAVE_DECL_GETC_UNLOCKED=1 -DHAVE_LANGINFO_CODESET=1 -DHAVE_LC_MESSAGES=1 -DENABLE_NLS=1 -DHAVE_GETTEXT=1 -DHAVE_DCGETTEXT=1 -DHAVE_LIBDL=1 -DHAVE_POSIX_MEMALIGN=1 -DHAVE_LINUX_JOYSTICK_H=1 -DHAVE_LIBJACK=1 -DHAVE_JACK_JACK_H=1 -DHAVE_JACK_TRANSPORT_H=1 -DHAVE_LIBRAW1394_RAW1394_H=1 -DHAVE_LIBAVC1394_AVC1394_H=1 -DHAVE_LIBAVC1394_ROM1394_H=1 -I. -I/usr/include/mjpegtools -I/usr/include/mjpegtools/mpeg2enc -I/usr/include/mjpegtools/mplex -fPIC -DPIC -O2 -march=nocona -pipe -Wall -MT yuv4mpeg_stream_la-yuv4mpeg_stream.lo -MD -MP -MF .deps/yuv4mpeg_stream_la-yuv4mpeg_stream.Tpo -c yuv4mpeg_stream.c  -fPIC -DPIC -o .libs/yuv4mpeg_stream_la-yuv4mpeg_stream.o
vloopback.c:25:28: error: linux/videodev.h: Tiedostoa tai hakemistoa ei ole
vloopback.c: Funktio ”get_vloopback_devices”:
vloopback.c:83: virhe: storage size of ”v4lcap” isn”t known
vloopback.c:100: virhe: ”VIDIOCGCAP” esittelemättä (ensimmäinen käyttökerta tässä funktiossa)
vloopback.c:100: virhe: (Jokaisesta esittelemättömästä tunnisteesta ilmoitetaan vain
vloopback.c:100: virhe: ensimmäinen käyttökerta kussakin funktiossa.)
vloopback.c:109: virhe: ”VID_TYPE_CAPTURE” esittelemättä (ensimmäinen käyttökerta tässä funktiossa)
vloopback.c:83: varoitus: käyttämätön muuttuja ”v4lcap”
vloopback.c: Funktio ”init_screen”:
vloopback.c:260: virhe: ”VIDIOCGPICT” esittelemättä (ensimmäinen käyttökerta tässä funktiossa)
vloopback.c:265: virhe: invalid use of undefined type ”struct video_picture”
vloopback.c:265: virhe: ”VIDEO_PALETTE_RGB24” esittelemättä (ensimmäinen käyttökerta tässä funktiossa)
vloopback.c:266: virhe: invalid use of undefined type ”struct video_picture”
vloopback.c:266: virhe: ”VIDEO_PALETTE_UYVY” esittelemättä (ensimmäinen käyttökerta tässä funktiossa)
vloopback.c:268: virhe: ”VIDIOCSPICT” esittelemättä (ensimmäinen käyttökerta tässä funktiossa)
vloopback.c:274: virhe: ”VIDIOCGWIN” esittelemättä (ensimmäinen käyttökerta tässä funktiossa)
vloopback.c:279: virhe: invalid use of undefined type ”struct video_window”
vloopback.c:280: virhe: invalid use of undefined type ”struct video_window”
vloopback.c:282: virhe: ”VIDIOCSWIN” esittelemättä (ensimmäinen käyttökerta tässä funktiossa)
make[4]: *** [vloopback_la-vloopback.lo] Virhe 1
make[4]: *** Odotetaan keskeneräisiä töitä....
Comment 1 Jouni Rinne 2011-04-04 18:13:02 UTC
Created attachment 268491 [details]
emerge --info
Comment 2 Guy 2011-04-04 20:56:32 UTC
See bug# 359595

This bug should be set as 'blocked' by the above bug.
Comment 3 Perry Gilfillan 2011-04-28 22:22:28 UTC
I've made a patch that uses libv4l replace the old v4l1 compatibility.

https://sourceforge.net/tracker/?func=detail&aid=3294094&group_id=64341&atid=507141
Comment 4 Perry Gilfillan 2011-04-29 00:44:10 UTC
Created attachment 271519 [details]
ebuild that uses media-libs/libv4l for v4lv1 compatibility.

ebuild that uses media-libs/libv4l for v4lv1 compatibility.\

Se also the patch file.
Comment 5 Perry Gilfillan 2011-04-29 00:46:12 UTC
Created attachment 271521 [details, diff]
patch lives-1.4.2 to use media-libs/libv4l for v4lv1 compatibility

Uses media-libs/v4l to provide v4lv1 compatibility no longer present in kernel 2.6.38.
Comment 6 Neil 2011-06-13 14:51:37 UTC
Patch works great and compiles fine for me, thanks Percy (will actually test out lives when I get home later!)
Comment 7 Matt McAdoo 2011-06-21 17:47:24 UTC
http://salsaman.home.xs4all.nl/lives/CHANGELOG-1.4.4  The latest version fixes the compile problem natively.  Creating an ebuild for 1.4.4 by copying 1.4.2 builds correctly on amd64 for me.


DIST LiVES-1.4.4.tar.bz2 3137291 RMD160 711b75e32a73e267ec3a7ae2c2314ddd6aa6fb64 SHA1 d6d4fc0d207586af78907b62108677a6771e9c43 SHA256 8b05dc2b3bf969fbf705d2de88839a69e65840486de4e7d972caadc7e68d4c15

EBUILD lives-1.4.4.ebuild 1550 RMD160 e5fa56cb7a02c70641e09836ad35c1f054fb43c7 SHA1 b080366fe4271303149c90d851b1e0a20acd17a6 SHA256 a5cbd82574ace4a0113b78d5388549c0a8c1216186351cd1cb6ec329b1b3010f
Comment 8 Matt McAdoo 2011-06-21 17:48:13 UTC
Created attachment 277693 [details]
"Compiles-for-Me" 1.4.4 ebuild
Comment 9 David J Cozatt 2011-06-23 02:23:05 UTC
Created attachment 277843 [details]
lives-1.4.4.ebuild

this package (1.4.4) built, ran and passed the basic tests performed by 'troubleshooting' under the 'help' menu 


https://picasaweb.google.com/107638643856752945861/Jun222011#5621232652853868930

[Lives-users] LiVES 1.4.4 released

salsaman
Mon, 13 Jun 2011 15:58:42 -0700

Hi all,
this fixes a compilation problem in 1.4.3.

URLs:

http://salsaman.home.xs4all.nl/lives/current/LiVES-1.4.4.tar.bz2
http://salsaman.home.xs4all.nl/lives/current/LiVES-1.4.4.tar.gz

shasums

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

sha1sums:

d6d4fc0d207586af78907b62108677a6771e9c43  LiVES-1.4.4.tar.bz2
cf3e2b5c13919dae3e38749fc74028396a187f8c  LiVES-1.4.4.tar.gz


sha256sums:

8b05dc2b3bf969fbf705d2de88839a69e65840486de4e7d972caadc7e68d4c15 
LiVES-1.4.4.tar.bz2
6e15e614d1ceca891e99df21d800cc7a0d24d9bfcda184575492ec4ee255d67b 
LiVES-1.4.4.tar.gz
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk32k7AACgkQ6nIyGQ+AtI2kegCcCAQsGVwxiX6AqradFYwZGI3m
yeQAoI9hkPWjKHkjdpQxqgUzJkrOE4O8
=mnyv
-----END PGP SIGNATURE-----

gpg fingerprint @ http://lives.sourceforge.net/index.php?do=contact



Gabriel.
Comment 10 David J Cozatt 2011-06-23 02:27:07 UTC
lol didn't see that ebuild...there is a diff in the orig in the comments

-03

-O3 in mine
Comment 11 Rafał Mużyło 2011-09-21 14:29:31 UTC
*** Bug 383931 has been marked as a duplicate of this bug. ***
Comment 12 Samuli Suominen gentoo-dev 2011-09-30 19:13:55 UTC
+*lives-1.4.6 (30 Sep 2011)
+
+  30 Sep 2011; Samuli Suominen <ssuominen@gentoo.org> +lives-1.4.6.ebuild:
+  Version bump wrt #376367 by tman, including upstream patch for building
+  against libv4l instead of v4l1 from linux-headers wrt #361943 by Jouni Rinne.
+  Use python2 instead of python wrt #315053 by Arfrever Frehtes Taifersar
+  Arahesis. Fix imagemagick vs. graphicsmagick dependencies wrt #314337 by
+  Wojciech Porczyk.